UiPath Documentation
test-cloud
latest
false
Wichtig :
Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.

Test Cloud-API-Handbuch

Get Tenant Consumption Summary by Tenant

Use this endpoint to retrieve the consumption summary for a specific tenant in your organization.

API-Endpunkt

POST {accessURL}/lease_/api/usage/{organizationId}/tenants/{tenantId}/consumption-summary

Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:

Cloud PlatformZugriffs-URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud Public Sectorhttps://govcloud.uipath.us/
Test Cloud Dedicated.https://{customURL}.dedicated.uipath.com/

Anforderungsheader

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Hinweis:

Um das {access_token} zu erhalten, müssen Sie sich mit der hier beschriebenen ROPC-Methode authentifizieren.

Pfadparameter

PfadparameterDatentypBeschreibung
organizationId (erforderlich)Zeichenfolge (GUID)Die ID der Organisation, in der sich Ihr Mandant befindet.
tenantId (erforderlich)Zeichenfolge (GUID)The ID of the tenant for which to retrieve the consumption summary.

Anforderungstext

The request body specifies the date range and the consumable code for which to retrieve the summary. The tenant is determined by the {tenantId} path parameter. For a detailed list of consumable codes, refer to Consumables.

{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
Hinweis:

startDate and endDate are Unix timestamps in milliseconds.

Antworten

200 OK

Returns the consumption summary for the specified tenant.

Beispielanforderung

Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):

curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'

Here's the response body for a successful consumption summary retrieval:

Hinweis:

consumedFromOrgWithoutTenant reflects consumption that occurs at the organization level without tenant context — it is not attributed to any specific tenant.

{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
  • API-Endpunkt
  • Anforderungsheader
  • Pfadparameter
  • Anforderungstext
  • Antworten
  • 200 OK
  • Beispielanforderung

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben